import { showNotice } from "@api/Notices";
import { Alerts, Forms } from "@webpack/common";

export default function showUnsupportedMessage() {
    showNotice("ChannelDeck requires Unified Styles API", "Details", () => {
        Alerts.show({
            title: "ChannelDeck",
            body: <div>
                <Forms.FormText>
                    Your version of Vencord does not support injecting styles into popout windows.
                    ChannelDeck opens in popout windows, and will look broken.
                    <br /><br />
                    You can resolve this issue by adding the Unified Styles API patch to your Vencord installation.
                    You will need to manually merge the PR into your current Vencord branch.
                    Detailed instructions are not documented here.
                    If you cannot do this, wait for the API to be officially supported in Vencord.
                </Forms.FormText>
                <br />
                <Forms.FormText type={Forms.FormText.Types.DESCRIPTION}>
                    Disable the plugin to stop this notice from appearing again.
                </Forms.FormText>
            </div>,
            confirmText: "View PR",
            cancelText: "Dismiss",
            onConfirm() {
                open("https://github.com/Vendicated/Vencord/pull/3153", "_blank");
            }
        });
    });
}
